package com.elab.spring.design.group.test;

import com.elab.spring.design.group.AbstractInvocationProcess;
import com.elab.spring.design.group.GroupResult;

import java.util.Map;

public class TestGroupProcess extends AbstractInvocationProcess<String, GroupResult> {

    @Override
    public String groupName() {
        return GroupConstant.TEST;
    }

    @Override
    public GroupResult postHandler(String req, Map<String, Object> res) {
        System.out.println("结果汇总:" + res.toString());
        GroupResult groupResult = new GroupResult();
        groupResult.setGroupName(groupName());
        return groupResult;
    }
}
